using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：应急响应评估表评估人员
    /// </summary>
    [Description("导航属性：应急响应评估表评估人员")]
    public class T_CM_RSP_ESTIMATE_ESTIMATE_USER : MesEntityBase
    {
        /// <summary>
        /// 应急响应评估ID
        /// </summary>
        [Description("应急响应评估ID")]
        [DataFieldForeignKey("Nav_RspEstimate", "Nav_ListEstimate")]
        public Guid ESTIMATE_ID { get; set; }

        /// <summary>
        /// 导航属性：应急响应评估记录
        /// </summary>
        [Description("导航属性：应急响应评估记录")]
        public virtual T_CM_RSP_ESTIMATE Nav_RspEstimate { get; set; }

        /// <summary>
        /// 评估人ID
        /// </summary>
        [Description("评估人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航：评估人员
        /// </summary>
        [Description("导航：评估人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 是否签到
        /// </summary>
        [Description("是否签到")]
        public bool ISSIGN { get; set; }

    }
}
